// 此文件不要写具体逻辑，只调用函数
// var port = chrome.runtime.connect({
//     name: "hello",
// });

import {
    showGiveDialogHandler,
    showIframeHandler,
    hideIframeHandler,
    showTwitterPublishDialogHandler,
    showPinTips,
    init,
    initExecuteScript,
    changeQueueNum
} from "@/logic/content/twitter.js";


// port.onMessage.addListener(function (res) {
//     switch (res.state) {
//         // case "BACK_TWITTER_LOGIN_SUCCESS":
//         //     showGiveDialogHandler();
//         //     break
//         // case 'BACK_TWITTER_SHORT_URL':
//         //     changeQueueNum(1)
//         //     break
//     }
// });

chrome.storage.onChanged.addListener(changes => {
    initExecuteScript(changes)
})

window.onload = () => {
    init()
};

window.onmessage = (res) => {
    if (res.data && res.data.actionType) {
        switch (res.data.actionType) {
            case "IFRAME_SHOW_IFREME":
                showIframeHandler();
                break;
            case "IFRAME_HIDE_IFREME":
                hideIframeHandler();
                break;
            case "IFRAME_SHOW_TWITTER_PUBLISH_DIALOG":
                showTwitterPublishDialogHandler(res.data.publishRes);
                break;
        }
    }
};


setTimeout(() => {
    
}, 2000);

chrome.runtime.onMessage.addListener((req, sender, sendResponse) => {
    sendResponse('')
    switch (req.actionType) {
        case 'BG_SHOW_PIN_TIPS':
            showPinTips()
            break
        case "BACK_TWITTER_LOGIN_SUCCESS":
            showGiveDialogHandler();
            break
        case 'BACK_TWITTER_SHORT_URL':
            console.log('BACK_TWITTER_SHORT_URL')
            changeQueueNum(1)
            break
    }
})


