export const logType = {
    'denet': '150',//denet-event-log
}

export const businessType = {
    buttonView: "buttonView",
    buttonClick: "buttonClick",
    // 页面曝光
    pageView: "pageView",
}

export const objectType = {
    buttonMain: "button-main",
    buttonSecond: "button-second",
    confirmButton: "confirm-button",
    tweetPostBinded: "TweetPostBinded",
    loginButton: "login-button",
    withdrawButton: "withdraw-button",
    topupButton: "topup-button",
    // 按钮点击
    open_button: 'open-button',
    // 关注全部
    follow_button: 'follow-button',
    follow: 'follow',
    retweet: 'retweet',
    like: 'like',
    // 查看已领取红包列表
    received_list: 'received-list',
    // 点击检测任务
    get_giveaway: 'get-giveaway',
    // 成功领取到钱包
    wallet_button: 'wallet-button'
}

export const pageSource = {
    mainPage: "main-page",
    publisherDialog: "publisher-dialog",
    currencySelectorPage: "currency-selector-page",
    rechargePage: "recharge-page",
    previewPage: "preview-page",
    denetLogin: "denet-login",
    denetHomePage: "denet-home-page",
    denetWithdrawSelector: "denet-withdraw-selector",
    denetWithdrawForm: "denet-withdraw-form",
    denetWithdrawConfirm: "denet-withdraw-confirm",
    denetTopupSelector: "denet-topup-selector",
    denetSelector: "denet-selector",
    // 待开红包页
    pending_page: 'pending-page',
    // 已领取任务页
    task_page: 'task-page',
    // 领取列表页
    received_list_page: 'received-list-page',
    // 红包过期
    expired_page: 'expired-page',
    // 红包被领完
    been_claimed_page: 'been-claimed-page',
    // 机器人检测未通过
    robot_detection_failed_page: 'robot-detection-failed-page',
    // 成功领取到钱包
    received_success_page: 'received-success-page',
}

export const extParams = {
    success:'success',
    failure:'failure'
}